<?php

/*
Plugin Name: Socialize
Version: 1.0
Description: Adds actionable social bookmarking buttons to your site
Author: Jon Bishop
Author URI: http://www.jonbishop.com
Plugin URI: http://www.jonbishop.com/socialize/
*/

$plugin_url=defined('WP_PLUGIN_URL') ? (WP_PLUGIN_URL . '/' . dirname(plugin_basename(__FILE__))) : trailingslashit(get_bloginfo('wpurl')) . PLUGINDIR . '/' . dirname(plugin_basename(__FILE__)); 

// Create Twitter Button
function createTwitter(){
	if(get_option('socialize_settings10')){
		$settings=array();
		$settings=get_option('socialize_settings10');
	} else {
		$settings=array();
		$settings['socialize_twitterWidget']="tweetmeme";
		$settings['socialize_twitter_source']="tweetmeme";
	}
	if ($settings['socialize_twitterWidget']=="backtype"){
		$buttonCode =
		'<script type="text/javascript">
			<!-- 
			tweetcount_url = "'.get_permalink().'";
			tweetcount_src = "RT @'.$settings['socialize_twitter_source'].':";
			tweetcount_via = false;
			tweetcount_links = true;
			tweetcount_size = "large";
			tweetcount_background = "80b62a";
			tweetcount_border = "CCCCCC"; 
			//-->
		</script>
		<script type="text/javascript" src="http://widgets.backtype.com/tweetcount.js"></script>';
	} else {
		$buttonCode = 
		'<script type="text/javascript">
			<!-- 
			tweetmeme_url = "'.get_permalink().'";
			tweetmeme_source = "'.$settings['socialize_twitter_source'].'";
			//-->
		</script>
		<script type="text/javascript" src="http://tweetmeme.com/i/scripts/button.js"></script>';
	}
	return $buttonCode;
}

// Create Google Buzz
function createBuzz(){
	$imageCode = '';
	if (function_exists( 'add_theme_support' )){
		$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail', false, '' );
		if($src[0] && ($src[0]!="")){
			$imageCode = ' data-imageurl="' . $src[0] . '"';
		}
		
	}
	
	$buttonCode = '<a title="Post to Google Buzz" class="google-buzz-button" href="http://www.google.com/buzz/post" data-button-style="normal-count" data-url="'.get_permalink().'"'.$imageCode.'></a>
	<script type="text/javascript" src="http://www.google.com/buzz/api/button.js"></script>';
	
	return $buttonCode;
}


// Create Digg Button
function createDigg(){
	$buttonCode = 
	'<script type="text/javascript"> 
		<!-- 
		digg_url = "'.get_permalink().'";
		//-->
	</script> 
	<script src="http://digg.com/tools/diggthis.js" type="text/javascript"></script>';
	return $buttonCode;
}

// Create Facebook Button
function createFacebook(){
	if(get_option('socialize_settings10')){
		$settings=array();
		$settings=get_option('socialize_settings10');
	} else {
		$settings=array();
		$settings['socialize_fbWidget']="official";
	}
	if ($settings['socialize_fbWidget']=="official"){
		$buttonCode = '<a name="fb_share" type="box_count" share_url="'.get_permalink().'" href="http://www.facebook.com/sharer.php">Share</a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>';
	} else {
		$buttonCode = '<script>
		<!-- 
		var fbShare = {
			url: "'.get_permalink().'",
			size: "large",
			google_analytics: "true"
		}
		//-->
		</script>
		<script src="http://widgets.fbshare.me/files/fbshare.js"></script>';
	}
	return $buttonCode;
}

// Create Sphinn Button
function createSphinn(){
	$buttonCode = 
	'<script type="text/javascript">
		<!-- 
		submit_url = "'.get_permalink().'";
		//-->
	</script>
	<script type="text/javascript" src="http://sphinn.com/evb/button.php"></script>';
	return $buttonCode;
}

// Create Reddit Button
function createReddit(){
	global $post;
	$buttonCode = 
	'<script type="text/javascript">
		<!-- 
		reddit_url = "'.get_permalink().'";
		reddit_title = "'.get_the_title($post->ID).'";
		//-->
	</script>
	<script type="text/javascript" src="http://www.reddit.com/button.js?t=2"></script>';
	return $buttonCode;
}

// Create DZone Button
function createDzone(){
	$buttonCode =
	'<script type="text/javascript">var dzone_url = "'.get_permalink().'";</script>
	<script type="text/javascript">var dzone_title = "'.get_the_title($post->ID).'";</script>
	<script type="text/javascript">
		<!-- 
		var dzone_style = "1";
		//-->
	</script>
	<script language="javascript" src="http://widgets.dzone.com/links/widgets/zoneit.js"></script>';
	return $buttonCode;
}

// Create StumbleUpon button
function createStumble(){
	$buttonCode = 
	'<script src="http://www.stumbleupon.com/hostedbadge.php?s=5&r='.get_permalink().'"></script>';
	return $buttonCode;
}
function createDelicous(){
	global $post;
	$delicousData = 'http://badges.del.icio.us/feeds/json/url/data?url='.get_permalink().'&amp;callback=displayURL';
	$buttonCode = '<div class="delicious-button"><div class="del-top"><span id="2104">0</span>saves</div><div class="del-bot"><a href="http://delicious.com/save" onclick="window.open(\'http://delicious.com/save?v=5&noui&jump=close&url=\'+encodeURIComponent(location.href)+\'&title=\'+encodeURIComponent(document.title), \'delicious\',\'toolbar=no,width=550,height=550\'); return false;">Save</a></div></div>
	<script>
		<!-- 
		function displayURL(data) { var urlinfo = data[0]; if (!urlinfo.total_posts) return;document.getElementById(\'' .$post->ID. '\').innerHTML = urlinfo.total_posts;}
		//-->
	</script>
	<script src = "' .$delicousData.'"></script>';
	return $buttonCode;
}
function createYahoo(){
	$buttonCode = '<script type="text/javascript" src="http://d.yimg.com/ds/badge2.js" badgetype="square">
		<!-- 
		'.get_permalink().'
		//-->
	</script>';
	return $buttonCode;
}
// Add box below post with share buttons and subscribe/comment text
function displayButtons(){
	if(is_single() || is_page()){
		global $post;
		if(get_option('socialize_settings10')){
			$settings=array();
			$settings=get_option('socialize_settings10');
		} else {
			$settings=array();
			$settings['socialize_alert_bg']="#FFEAA8";
			$settings['socialize_text']='If you enjoyed this post, please consider <a href="#comments">leaving a comment</a> or <a href="' . get_bloginfo("rss2_url") . '" title="Syndicate this site using RSS">subscribing to the <abbr title="Really Simple Syndication">RSS</abbr> feed</a> to have future articles delivered to your feed reader.';
			$settings['socialize_alert_box']="on";
		}
		if($settings['socialize_alert_box']){
			$defaultsharemeta = explode( ',', $settings['sharemeta']);
			if(get_post_custom_keys($post->ID)){
				$keyexist = in_array('socialize',get_post_custom_keys($post->ID));
				//echo "Test: ".get_post_custom_keys($post->ID);
			} else {
				$keyexist = false;
				//echo "Test: False";
			}
			$sharemeta = explode( ',', get_post_meta($post->ID,'socialize',true));
			$buttonDisplay = "";
			$before_button = '<div class="socialize-button">';
			$after_button = '</div>';
			if(!in_array(21,$sharemeta)){
				if(in_array(11,$sharemeta) || (!$keyexist && in_array(11,$defaultsharemeta))){ $buttonDisplay.=$before_button.createTwitter().$after_button;}
				if(in_array(12,$sharemeta) || (!$keyexist && in_array(12,$defaultsharemeta))){ $buttonDisplay.=$before_button.createFacebook().$after_button;}
				if(in_array(13,$sharemeta) || (!$keyexist && in_array(13,$defaultsharemeta))){ $buttonDisplay.=$before_button.createDigg().$after_button;}
				if(in_array(14,$sharemeta) || (!$keyexist && in_array(14,$defaultsharemeta))){ $buttonDisplay.=$before_button.createSphinn().$after_button;}
				if(in_array(15,$sharemeta) || (!$keyexist && in_array(15,$defaultsharemeta))){ $buttonDisplay.=$before_button.createReddit().$after_button;}
				if(in_array(16,$sharemeta) || (!$keyexist && in_array(16,$defaultsharemeta))){ $buttonDisplay.=$before_button.createDzone().$after_button;}
				if(in_array(17,$sharemeta) || (!$keyexist && in_array(17,$defaultsharemeta))){ $buttonDisplay.=$before_button.createStumble().$after_button;}
				if(in_array(18,$sharemeta) || (!$keyexist && in_array(18,$defaultsharemeta))){ $buttonDisplay.=$before_button.createDelicous().$after_button;}
				if(in_array(19,$sharemeta) || (!$keyexist && in_array(17,$defaultsharemeta))){ $buttonDisplay.=$before_button.createBuzz().$after_button;}
				if(in_array(20,$sharemeta) || (!$keyexist && in_array(18,$defaultsharemeta))){ $buttonDisplay.=$before_button.createYahoo().$after_button;}
			return '<div class="socialize-containter" style="background-color:'.$settings['socialize_alert_bg'].';"><div class="socialize-buttons">'.$buttonDisplay.'</div><div class="socialize-text">'.$settings['socialize_text'].'</div></div>';
			} else {
				return '';
			}
		} else {
			return '';
		}
	} else {
		return '';
	}
}

// Add buttons within content
function displayButtonsInContent(){
	global $post;
	if(get_option('socialize_settings10')){
		$settings=array();
		$settings=get_option('socialize_settings10');
	} else {
		$settings=array();
		$settings['socialize_float']="left";
	}
	$defaultsharemeta = explode( ',', $settings['sharemeta']);
	if(get_post_custom_keys($post->ID)){
		$keyexist = in_array('socialize',get_post_custom_keys($post->ID));
		//echo "Test: ".get_post_custom_keys($post->ID);
	} else {
		$keyexist = false;
		//echo "Test: False";
	}
	$sharemeta = explode( ',', get_post_meta($post->ID,'socialize',true));
	$buttonDisplay = "";
	$before_button = '<div class="socialize-in-button-'.$settings['socialize_float'].'">';
	$after_button = '</div>';
	if(in_array(1,$sharemeta) || (!$keyexist && in_array(1,$defaultsharemeta))){ $buttonDisplay.=$before_button.createTwitter().$after_button;}
	if(in_array(2,$sharemeta) || (!$keyexist && in_array(2,$defaultsharemeta))){ $buttonDisplay.=$before_button.createFacebook().$after_button;}
	if(in_array(3,$sharemeta) || (!$keyexist && in_array(3,$defaultsharemeta))){ $buttonDisplay.=$before_button.createDigg().$after_button;}
	if(in_array(4,$sharemeta) || (!$keyexist && in_array(4,$defaultsharemeta))){ $buttonDisplay.=$before_button.createSphinn().$after_button;}
	if(in_array(5,$sharemeta) || (!$keyexist && in_array(5,$defaultsharemeta))){ $buttonDisplay.=$before_button.createReddit().$after_button;}
	if(in_array(6,$sharemeta) || (!$keyexist && in_array(6,$defaultsharemeta))){ $buttonDisplay.=$before_button.createDzone().$after_button;}
	if(in_array(7,$sharemeta) || (!$keyexist && in_array(7,$defaultsharemeta))){ $buttonDisplay.=$before_button.createStumble().$after_button;}
	if(in_array(8,$sharemeta) || (!$keyexist && in_array(8,$defaultsharemeta))){ $buttonDisplay.=$before_button.createDelicous().$after_button;}
	if(in_array(9,$sharemeta) || (!$keyexist && in_array(7,$defaultsharemeta))){ $buttonDisplay.=$before_button.createBuzz().$after_button;}
	if(in_array(10,$sharemeta) || (!$keyexist && in_array(8,$defaultsharemeta))){ $buttonDisplay.=$before_button.createYahoo().$after_button;}
	return '<div class="socialize-in-content" style="float:'.$settings['socialize_float'].';">'.$buttonDisplay.'</div>';
}

// Add buttons to page
function insertSocialize($content) {
// Make sure to return the content
	if(get_option('socialize_settings10')){
		$settings=array();
		$settings=get_option('socialize_settings10');
	} else {
		$settings=array();
		$settings['socialize_display_front']="on";
		$settings['socialize_display_archives']="on";
		$settings['socialize_display_search']="on";
		$settings['socialize_display_posts']="on";
		$settings['socialize_display_pages']="on";
		$settings['socialize_display_feed']="on";
	}
	if(is_front_page() && $settings['socialize_display_front']){
		$content=displayButtonsInContent().$content.displayButtons();
	} else if(is_archive() && $settings['socialize_display_archives']){
		$content=displayButtonsInContent().$content.displayButtons();
	} else if(is_search() && $settings['socialize_display_search']){
		$content=displayButtonsInContent().$content.displayButtons();
	} else if(is_page() && $settings['socialize_display_pages']){
		$content=displayButtonsInContent().$content.displayButtons();
	} else if(is_single() && $settings['socialize_display_posts']){
		$content=displayButtonsInContent().$content.displayButtons();
	} else if(is_feed() && $settings['socialize_display_feed']){
		$content=displayButtonsInContent().$content.displayButtons();
	}
	return $content;
}

// Add css to header
function socialize_head()
{
	global $plugin_url;
	echo '<link rel="stylesheet" href="'.$plugin_url.'/socialize.css" type="text/css" />'; 
}

// Admin //

// On save post, update post meta
function socialize_admin_process($post_ID) {
	if ( !wp_verify_nonce( $_POST['socialize_settings_noncename'], plugin_basename(__FILE__) )) {
		return $post_id;
	}
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
    	return $post_id;

	if ( 'page' == $_POST['post_type'] ) {
		if ( !current_user_can( 'edit_page', $post_id ) )
			return $post_id;
		} else {
		if ( !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
	}
	
	$sharemetaarray = array();
	if($_POST['sm_twitter_ip']>0){
		array_push($sharemetaarray, $_POST['sm_twitter_ip']);
	}
	if($_POST['sm_facebook_ip']>0){
		array_push($sharemetaarray, $_POST['sm_facebook_ip']);
	}
	if($_POST['sm_digg_ip']>0){
		array_push($sharemetaarray, $_POST['sm_digg_ip']);
	}
	if($_POST['sm_sphinn_ip']>0){
		array_push($sharemetaarray, $_POST['sm_sphinn_ip']);
	}
	if($_POST['sm_reddit_ip']>0){
		array_push($sharemetaarray, $_POST['sm_reddit_ip']);
	}
	if($_POST['sm_dzone_ip']>0){
		array_push($sharemetaarray, $_POST['sm_dzone_ip']);
	}
	if($_POST['sm_stumbleupon_ip']>0){
		array_push($sharemetaarray, $_POST['sm_stumbleupon_ip']);
	}
	if($_POST['sm_delicious_ip']>0){
		array_push($sharemetaarray, $_POST['sm_delicious_ip']);
	}
	if($_POST['sm_buzz_ip']>0){
		array_push($sharemetaarray, $_POST['sm_buzz_ip']);
	}
	if($_POST['sm_yahoo_ip']>0){
		array_push($sharemetaarray, $_POST['sm_yahoo_ip']);
	}
	if($_POST['sm_twitter_fp']>0){
		array_push($sharemetaarray, $_POST['sm_twitter_fp']);
	}
	if($_POST['sm_facebook_fp']>0){
		array_push($sharemetaarray, $_POST['sm_facebook_fp']);
	}
	if($_POST['sm_digg_fp']>0){
		array_push($sharemetaarray, $_POST['sm_digg_fp']);
	}
	if($_POST['sm_sphinn_fp']>0){
		array_push($sharemetaarray, $_POST['sm_sphinn_fp']);
	}
	if($_POST['sm_reddit_fp']>0){
		array_push($sharemetaarray, $_POST['sm_reddit_fp']);
	}
	if($_POST['sm_dzone_fp']>0){
		array_push($sharemetaarray, $_POST['sm_dzone_fp']);
	}
	if($_POST['sm_stumbleupon_fp']>0){
		array_push($sharemetaarray, $_POST['sm_stumbleupon_fp']);
	}
	if($_POST['sm_delicious_fp']>0){
		array_push($sharemetaarray, $_POST['sm_delicious_fp']);
	}
	if($_POST['sm_buzz_fp']>0){
		array_push($sharemetaarray, $_POST['sm_buzz_fp']);
	}
	if($_POST['sm_yahoo_fp']>0){
		array_push($sharemetaarray, $_POST['sm_yahoo_fp']);
	}
	if($_POST['hide_alert']>0){
		array_push($sharemetaarray, $_POST['hide_alert']);
	}
	$sharemeta = implode(',', $sharemetaarray);
	
	//add_post_meta($post_ID, 'socialize', 'this is test content');
	//if(get_post_meta($post_ID,'socialize',true)==""){
		//add_post_meta($post_ID, 'socialize', $sharemeta);
	//} else {
		if (!wp_is_post_revision($post_ID) && !wp_is_post_autosave($post_ID) ){
			update_post_meta($post_ID, 'socialize', $sharemeta);
		}
	//}

}

// On post edit, load metabox
function socialize_metabox_admin() {


	if(get_post_custom_keys($_GET['post'])&&in_array('socialize',get_post_custom_keys($_GET['post']))){
		$sharemeta = explode( ',', get_post_meta(intval($_GET['post']),'socialize',true));
	} else {
		$settings=get_option('socialize_settings10');
		$sharemeta = explode( ',', $settings['sharemeta']);
	}
	echo '<input type="hidden" name="socialize_settings_noncename" id="socialize_settings_noncename" value="' . wp_create_nonce( plugin_basename(__FILE__) ) . '" />';
	?>
	<div class="socialize-div1" style="width:50%; float: left;">
    	<strong>InLine Social Buttons</strong><br />
        <label class="selectit"><input value="1" type="checkbox" name="sm_twitter_ip" id="post-share-1"<?php checked(in_array(1,$sharemeta), true); ?>/><?php _e('Twitter'); ?></label><br />
        <label class="selectit"><input value="2" type="checkbox" name="sm_facebook_ip" id="post-share-2"<?php checked(in_array(2,$sharemeta), true); ?>/><?php _e('Facebook'); ?></label><br />
        <label class="selectit"><input value="3" type="checkbox" name="sm_digg_ip" id="post-share-3"<?php checked(in_array(3,$sharemeta), true); ?>/><?php _e('Digg'); ?></label><br />
        <label class="selectit"><input value="4" type="checkbox" name="sm_sphinn_ip" id="post-share-4"<?php checked(in_array(4,$sharemeta), true); ?>/><?php _e('Sphinn'); ?></label><br />
        <label class="selectit"><input value="5" type="checkbox" name="sm_reddit_ip" id="post-share-5"<?php checked(in_array(5,$sharemeta), true); ?>/><?php _e('Reddit'); ?></label><br />
        <label class="selectit"><input value="6" type="checkbox" name="sm_dzone_ip" id="post-share-6"<?php checked(in_array(6,$sharemeta), true); ?>/><?php _e('Dzone'); ?></label><br />
		<label class="selectit"><input value="7" type="checkbox" name="sm_stumbleupon_ip" id="post-share-7"<?php checked(in_array(7,$sharemeta), true); ?>/><?php _e('StumbleUpon'); ?></label><br />
    	<label class="selectit"><input value="8" type="checkbox" name="sm_delicious_ip" id="post-share-8"<?php checked(in_array(8,$sharemeta), true); ?>/><?php _e('Delicious'); ?></label><br />
		<label class="selectit"><input value="9" type="checkbox" name="sm_buzz_ip" id="post-share-9"<?php checked(in_array(9,$sharemeta), true); ?>/><?php _e('Google Buzz'); ?></label><br />
    	<label class="selectit"><input value="10" type="checkbox" name="sm_yahoo_ip" id="post-share-10"<?php checked(in_array(10,$sharemeta), true); ?>/><?php _e('Yahoo Buzz'); ?></label><br />	
    </div>
    <div class="socialize-div2" style="width:50%; float: left;">
    	<strong>Alert Box Social Buttons</strong><br />
        <label class="selectit"><input value="11" type="checkbox" name="sm_twitter_fp" id="post-share-11"<?php checked(in_array(11,$sharemeta), true); ?>/><?php _e('Twitter'); ?></label><br />
        <label class="selectit"><input value="12" type="checkbox" name="sm_facebook_fp" id="post-share-12"<?php checked(in_array(12,$sharemeta), true); ?>/><?php _e('Facebook'); ?></label><br />
        <label class="selectit"><input value="13" type="checkbox" name="sm_digg_fp" id="post-share-13"<?php checked(in_array(13,$sharemeta), true); ?>/><?php _e('Digg'); ?></label><br />
        <label class="selectit"><input value="14" type="checkbox" name="sm_sphinn_fp" id="post-share-14"<?php checked(in_array(14,$sharemeta), true); ?>/><?php _e('Sphinn'); ?></label><br />
        <label class="selectit"><input value="15" type="checkbox" name="sm_reddit_fp" id="post-share-15"<?php checked(in_array(15,$sharemeta), true); ?>/><?php _e('Reddit'); ?></label><br />
        <label class="selectit"><input value="16" type="checkbox" name="sm_dzone_fp" id="post-share-16"<?php checked(in_array(16,$sharemeta), true); ?>/><?php _e('Dzone'); ?></label><br />
    	<label class="selectit"><input value="17" type="checkbox" name="sm_stumbleupon_fp" id="post-share-17"<?php checked(in_array(17,$sharemeta), true); ?>/><?php _e('StumbleUpon'); ?></label><br />
		<label class="selectit"><input value="18" type="checkbox" name="sm_delicious_fp" id="post-share-18"<?php checked(in_array(18,$sharemeta), true); ?>/><?php _e('Delicious'); ?></label><br />
		<label class="selectit"><input value="19" type="checkbox" name="sm_buzz_fp" id="post-share-19"<?php checked(in_array(19,$sharemeta), true); ?>/><?php _e('Google Buzz'); ?></label><br />
		<label class="selectit"><input value="20" type="checkbox" name="sm_yahoo_fp" id="post-share-20"<?php checked(in_array(20,$sharemeta), true); ?>/><?php _e('Yahoo Buzz'); ?></label><br />
    </div>
	<div class="socialize-div3" style="width:100%;">
		<strong>Hide Alert Box</strong><br />
		<label class="selectit"><input value="21" type="checkbox" name="hide_alert" id="post-share-alert"<?php checked(in_array(21,$sharemeta), true); ?>/><?php _e('Hide alert box below this post'); ?></label>	
	</div>
    <div class="clear"></div>
	<?php
}

// Creates meta box
function socialize_add_meta_box() {
	add_meta_box('sharemestatusdiv', __('Socialize Settings', 'socialize'), 'socialize_metabox_admin', 'post', 'side');
	add_meta_box('sharemestatusdiv', __('Socialize Settings', 'socialize'), 'socialize_metabox_admin', 'page', 'side');
}

function socialize_options_panel() {
	if(isset($_POST['socialize_option_submitted'])){
		$settings=array();
		$settings['socialize_text']=stripslashes($_POST['socialize_text']);
		$settings['socialize_alert_bg']=$_POST['socialize_alert_bg'];
		$settings['socialize_display_front']=$_POST['socialize_display_front'];
		$settings['socialize_display_archives']=$_POST['socialize_display_archives'];
		$settings['socialize_display_search']=$_POST['socialize_display_search'];
		$settings['socialize_display_posts']=$_POST['socialize_display_posts'];
		$settings['socialize_display_pages']=$_POST['socialize_display_pages'];
		$settings['socialize_display_feed']=$_POST['socialize_display_feed'];
		$settings['socialize_alert_box']=$_POST['socialize_alert_box'];
		$settings['socialize_twitterWidget']=$_POST['socialize_twitterWidget'];
		$settings['socialize_float']=$_POST['socialize_float'];
		$settings['socialize_fbWidget']=$_POST['socialize_fbWidget'];
		$settings['socialize_twitter_source']=$_POST['socialize_twitter_source'];
		$sharemetaarray = array();
		if($_POST['sm_twitter_ip']>0){
			array_push($sharemetaarray, $_POST['sm_twitter_ip']);
		}
		if($_POST['sm_facebook_ip']>0){
			array_push($sharemetaarray, $_POST['sm_facebook_ip']);
		}
		if($_POST['sm_digg_ip']>0){
			array_push($sharemetaarray, $_POST['sm_digg_ip']);
		}
		if($_POST['sm_sphinn_ip']>0){
			array_push($sharemetaarray, $_POST['sm_sphinn_ip']);
		}
		if($_POST['sm_reddit_ip']>0){
			array_push($sharemetaarray, $_POST['sm_reddit_ip']);
		}
		if($_POST['sm_dzone_ip']>0){
			array_push($sharemetaarray, $_POST['sm_dzone_ip']);
		}
		if($_POST['sm_stumbleupon_ip']>0){
			array_push($sharemetaarray, $_POST['sm_stumbleupon_ip']);
		}
		if($_POST['sm_delicious_ip']>0){
			array_push($sharemetaarray, $_POST['sm_delicious_ip']);
		}
		if($_POST['sm_buzz_ip']>0){
			array_push($sharemetaarray, $_POST['sm_buzz_ip']);
		}
		if($_POST['sm_yahoo_ip']>0){
			array_push($sharemetaarray, $_POST['sm_yahoo_ip']);
		}
		if($_POST['sm_twitter_fp']>0){
			array_push($sharemetaarray, $_POST['sm_twitter_fp']);
		}
		if($_POST['sm_facebook_fp']>0){
			array_push($sharemetaarray, $_POST['sm_facebook_fp']);
		}
		if($_POST['sm_digg_fp']>0){
			array_push($sharemetaarray, $_POST['sm_digg_fp']);
		}
		if($_POST['sm_sphinn_fp']>0){
			array_push($sharemetaarray, $_POST['sm_sphinn_fp']);
		}
		if($_POST['sm_reddit_fp']>0){
			array_push($sharemetaarray, $_POST['sm_reddit_fp']);
		}
		if($_POST['sm_dzone_fp']>0){
			array_push($sharemetaarray, $_POST['sm_dzone_fp']);
		}
		if($_POST['sm_stumbleupon_fp']>0){
			array_push($sharemetaarray, $_POST['sm_stumbleupon_fp']);
		}
		if($_POST['sm_delicious_fp']>0){
			array_push($sharemetaarray, $_POST['sm_delicious_fp']);
		}
		if($_POST['sm_buzz_fp']>0){
			array_push($sharemetaarray, $_POST['sm_buzz_fp']);
		}
		if($_POST['sm_yahoo_fp']>0){
			array_push($sharemetaarray, $_POST['sm_yahoo_fp']);
		}
		$sharemeta = implode(',', $sharemetaarray);
		$settings['sharemeta']=$sharemeta;
		if(get_option('socialize_settings10')){
			update_option("socialize_settings10", $settings);
		} else {
			add_option("socialize_settings10", $settings, '', 'yes');
		}
	}//updated

	if(get_option('socialize_settings10')){
		$settings=get_option('socialize_settings10');
	} else {
		$settings=array();
		$settings['socialize_alert_bg']="#FFEAA8";
		$settings['socialize_text']='If you enjoyed this post, please consider <a href="#comments">leaving a comment</a> or <a href="' . get_bloginfo("rss2_url") . '" title="Syndicate this site using RSS">subscribing to the <abbr title="Really Simple Syndication">RSS</abbr> feed</a> to have future articles delivered to your feed reader.';
		$settings['socialize_display_front']="on";
		$settings['socialize_display_archives']="on";
		$settings['socialize_display_search']="on";
		$settings['socialize_display_posts']="on";
		$settings['socialize_display_pages']="on";
		$settings['socialize_display_feed']="on";
		$settings['socialize_alert_box']="on";
		$settings['socialize_twitterWidget']="tweetmeme";
		$settings['socialize_fbWidget']="official";
		$settings['socialize_float']="left";
		$settings['socialize_twitter_source']="tweetmeme";
	}
	socialize_show_options($settings);
}
		

function socialize_show_options($settings)
{	
	global $plugin_url;
?>
	
	
	<div class="wrap">
		<h2>Socialize Settings</h2>
	   
	  <form method="post" action="">
		<table class="form-table">
		<tr valign="top">
			<td colspan="2">
            <h3>General</h3>
			<strong>Display Settings</strong>			</td>
		</tr>
		<tr valign="top">
				<th scope="row"><?php _e("Top Button Location");?>				</th>
				<td>
                <label>Left
                <input type="radio" value="left" NAME="socialize_float" 
                <?
				if($settings['socialize_float']=='left'){
						echo "checked";
				} 
				?>
				 /></label>
                 <label>Right
                 <input type="radio" value="right" NAME="socialize_float" 
                <?
				if($settings['socialize_float']=='right'){
						echo "checked";
				} 
				?>
				 /></label>
                  <br/><small>
                 Choose whether to display the buttons in the content on the right or left.
                </small>				</td>
			</tr>
        <tr valign="top">
				<th scope="row"><?php _e("Display On Front Page");?>				</th>
				<td>
                <input type=CHECKBOX NAME="socialize_display_front" 
                <?
				if($settings['socialize_display_front']){
						echo "checked";
				} 
				?>
				 />
                  <br/><small>
                 Display buttons on the front page at the top of each entry
                </small>				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e("Display In Archives");?>				</th>
				<td>
                <input type=CHECKBOX NAME="socialize_display_archives" 
                <?
				if($settings['socialize_display_archives']){
						echo "checked";
				} 
				?>
				 />
                  <br/><small>
                 Display buttons on the archive pages at the top of each entry
                </small>				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e("Display In Search Results");?>				</th>
				<td>
                <input type=CHECKBOX NAME="socialize_display_search" 
                <?
				if($settings['socialize_display_search']){
						echo "checked";
				} 
				?>
				 />
                  <br/><small>
                 Display buttons on the search page at the top of each entry
                </small>				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e("Display On Individual Posts");?>				</th>
				<td>
                <input type=CHECKBOX NAME="socialize_display_posts" 
                <?
				if($settings['socialize_display_posts']){
						echo "checked";
				} 
				?>
				 />
                  <br/><small>
                 Display buttons on individual posts at the top of the entry
                </small>				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e("Display On Individual Pages");?></th>
				<td>
                <input type=CHECKBOX NAME="socialize_display_pages" 
                <?
				if($settings['socialize_display_pages']){
						echo "checked";
				} 
				?>
				 />
                  <br/><small>
                 Display buttons on individual pages at the top of the entry
                </small>				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e("Display In Feed");?>				</th>
				<td>
                <input type=CHECKBOX NAME="socialize_display_feed" 
                <?
				if($settings['socialize_display_feed']){
						echo "checked";
				} 
				?>
				 />
                  <br/><small>
                 Display buttons in your feed at the top of each entry
                </small>				</td>
			</tr>
			<tr valign="top">
			<td colspan="2">
            <strong>Alert Box Settings</strong>			</td>
		</tr>
		
            <tr valign="top">
				<th scope="row"><?php _e("Display Alert Box Below Posts");?>				</th>
				<td>
                <input type=CHECKBOX NAME="socialize_alert_box" 
                <?
				if($settings['socialize_alert_box']){
						echo "checked";
				} 
				?>
				 />
                 <br/><small>
                 Check this if you want to display an alert box at the bottom of your posts with "Please Subscribe" text and some social bookmarking buttons.
                </small>				</td>
			</tr>
		<tr valign="top">
			<th scope="row"><?php _e("Subscribe Alert Box Text");?>			</th>
			<td>
			<textarea name="socialize_text" cols="100" rows="4"><?php echo $settings['socialize_text']; ?></textarea>
            <br/><small>Here you can change your Alert Box text. (If you are using a 3rd party site to handle your RSS, like FeedBurner, please make sure any links to your RSS are updated.</small>			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><?php _e("Subscribe Alert Box Background Color");?>			</th>
			<td><input type="text" name="socialize_alert_bg" value="<?php echo $settings['socialize_alert_bg']; ?>" />
            <br/><small>
                 By default, the background color of the alert box is a yellowish tone.
                </small>			</td>
		</tr>
        <tr valign="top">
			<td colspan="2">
            <h3>Buttons</h3>
            <strong>Twitter</strong>			</td>
		</tr>
        <tr valign="top">
				<th scope="row"><?php _e("Twitter Button");?>				</th>
				<td>
                <label><a href="http://tweetmeme.com/">TweetMeme</a>
                <input type="radio" value="tweetmeme" NAME="socialize_twitterWidget" 
                <?
				if($settings['socialize_twitterWidget']=='tweetmeme'){
						echo "checked";
				} 
				?>
				 /></label>
                 <label><a href="http://www.backtype.com/widgets/tweetcount">BackType</a>
                 <input type="radio" value="backtype" NAME="socialize_twitterWidget" 
                <?
				if($settings['socialize_twitterWidget']=='backtype'){
						echo "checked";
				} 
				?>
				 /></label>
                  <br/><small>
                 Choose which Twitter retweet button to display
                </small>				</td>
			</tr>
			<tr valign="top">
			<th scope="row"><?php _e("Twitter Source");?>			</th>
			<td><input type="text" name="socialize_twitter_source" value="<?php echo $settings['socialize_twitter_source']; ?>" />
            <br/><small>
                 By default, the source is @backtype or @tweetmeme
                </small>			</td>
		</tr>
			 <tr valign="top">
			<td colspan="2">
            <strong>Facebook</strong>			</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e("Facebook Button");?>				</th>
				<td>
                <label><a href="http://www.facebook.com/facebook-widgets/share.php">Official Share Button</a>
                <input type="radio" value="official" NAME="socialize_fbWidget" 
                <?
				if($settings['socialize_fbWidget']=='official'){
						echo "checked";
				} 
				?>
				 /></label>
                 <label><a href="http://www.fbshare.me/">fbShare.me</a>
                 <input type="radio" value="fbshareme" NAME="socialize_fbWidget" 
                <?
				if($settings['socialize_fbWidget']=='fbshareme'){
						echo "checked";
				} 
				?>
				 /></label>
                  <br/><small>
                 Choose which Facebook share button to display
                </small></td>
			</tr>
            <tr valign="top">
			<td colspan="2">
            <h3>Default Settings</h3></td>
		</tr>
        <tr valign="top">
			<td colspan="2">
            <?php $sharemeta = explode( ',', $settings['sharemeta']); ?>
            	<div class="socialize-div1" style="width:50%; float: left;">
    	<strong>InLine Social Buttons</strong><br />
        <label class="selectit"><input value="1" type="checkbox" name="sm_twitter_ip" id="post-share-1"<?php checked(in_array(1,$sharemeta), true); ?>/><?php _e('Twitter'); ?></label><br />
        <label class="selectit"><input value="2" type="checkbox" name="sm_facebook_ip" id="post-share-2"<?php checked(in_array(2,$sharemeta), true); ?>/><?php _e('Facebook'); ?></label><br />
        <label class="selectit"><input value="3" type="checkbox" name="sm_digg_ip" id="post-share-3"<?php checked(in_array(3,$sharemeta), true); ?>/><?php _e('Digg'); ?></label><br />
        <label class="selectit"><input value="4" type="checkbox" name="sm_sphinn_ip" id="post-share-4"<?php checked(in_array(4,$sharemeta), true); ?>/><?php _e('Sphinn'); ?></label><br />
        <label class="selectit"><input value="5" type="checkbox" name="sm_reddit_ip" id="post-share-5"<?php checked(in_array(5,$sharemeta), true); ?>/><?php _e('Reddit'); ?></label><br />
        <label class="selectit"><input value="6" type="checkbox" name="sm_dzone_ip" id="post-share-6"<?php checked(in_array(6,$sharemeta), true); ?>/><?php _e('Dzone'); ?></label><br />
		<label class="selectit"><input value="7" type="checkbox" name="sm_stumbleupon_ip" id="post-share-7"<?php checked(in_array(7,$sharemeta), true); ?>/><?php _e('StumbleUpon'); ?></label><br />
    	<label class="selectit"><input value="8" type="checkbox" name="sm_delicious_ip" id="post-share-8"<?php checked(in_array(8,$sharemeta), true); ?>/><?php _e('Delicious'); ?></label><br />
		<label class="selectit"><input value="9" type="checkbox" name="sm_buzz_ip" id="post-share-9"<?php checked(in_array(9,$sharemeta), true); ?>/><?php _e('Google Buzz'); ?></label><br />
    	<label class="selectit"><input value="10" type="checkbox" name="sm_yahoo_ip" id="post-share-10"<?php checked(in_array(10,$sharemeta), true); ?>/><?php _e('Yahoo Buzz'); ?></label>	
    </div>
    <div class="socialize-div2" style="width:50%; float: left;">
    	<strong>Alert Box Social Buttons</strong><br />
        <label class="selectit"><input value="11" type="checkbox" name="sm_twitter_fp" id="post-share-11"<?php checked(in_array(11,$sharemeta), true); ?>/><?php _e('Twitter'); ?></label><br />
        <label class="selectit"><input value="12" type="checkbox" name="sm_facebook_fp" id="post-share-12"<?php checked(in_array(12,$sharemeta), true); ?>/><?php _e('Facebook'); ?></label><br />
        <label class="selectit"><input value="13" type="checkbox" name="sm_digg_fp" id="post-share-13"<?php checked(in_array(13,$sharemeta), true); ?>/><?php _e('Digg'); ?></label><br />
        <label class="selectit"><input value="14" type="checkbox" name="sm_sphinn_fp" id="post-share-14"<?php checked(in_array(14,$sharemeta), true); ?>/><?php _e('Sphinn'); ?></label><br />
        <label class="selectit"><input value="15" type="checkbox" name="sm_reddit_fp" id="post-share-15"<?php checked(in_array(15,$sharemeta), true); ?>/><?php _e('Reddit'); ?></label><br />
        <label class="selectit"><input value="16" type="checkbox" name="sm_dzone_fp" id="post-share-16"<?php checked(in_array(16,$sharemeta), true); ?>/><?php _e('Dzone'); ?></label><br />
    	<label class="selectit"><input value="17" type="checkbox" name="sm_stumbleupon_fp" id="post-share-17"<?php checked(in_array(17,$sharemeta), true); ?>/><?php _e('StumbleUpon'); ?></label><br />
		<label class="selectit"><input value="18" type="checkbox" name="sm_delicious_fp" id="post-share-18"<?php checked(in_array(18,$sharemeta), true); ?>/><?php _e('Delicious'); ?></label><br />
		<label class="selectit"><input value="19" type="checkbox" name="sm_buzz_fp" id="post-share-19"<?php checked(in_array(19,$sharemeta), true); ?>/><?php _e('Google BUzz'); ?></label>	<br />
		<label class="selectit"><input value="20" type="checkbox" name="sm_yahoo_fp" id="post-share-20"<?php checked(in_array(20,$sharemeta), true); ?>/><?php _e('Yahoo Buzz'); ?></label>	
    </div>			</td>
		</tr>
            <tr valign="top">
				<td colspan="2"><p><strong>If you like this plugin please considor donating a few bucks to support it's development. <a href="https://www.paypal.com/us/cgi-bin/webscr?cmd=_flow&SESSION=LO-Z1Za5LcqxEHvH5wfft0GuwDlabmorYvUi_nbRzDt78S_SKjzxfXQNwK4&dispatch=5885d80a13c0db1f22d2300ef60a6759516e590e949da361fd1b680561e9552a" target="_blank">>>Donate Here <<</a></strong></p>
				</td>
			</tr>
		<tr valign="top">
		<th colspan='2' scope='row'>
				<input class="sub" type="submit" name="socialize_option_submitted" value="<?php _e('Save Settings') ?> &raquo; " />		</th>
		</tr>
		</table>
		</form>
	</div>
	<?php
}

//=============================================
// admin options panel
//=============================================
function add_socialize_options_subpanel() {
	if (function_exists('add_options_page')) {
	  add_options_page('Socialize', 'Socialize', 10, __FILE__, 'socialize_options_panel');
	}
}
function socialize_activate() {
	if(get_option('socialize_settings10')){
		$settings=array();
		$settings=maybe_unserialize(get_option('socialize_settings10'));
		if($settings['socialize_version']!="1.0"){
			$settings['socialize_version']="1.0";
			$settings['socialize_display_front']="on";
			$settings['socialize_display_archives']="on";
			$settings['socialize_display_search']="on";
			$settings['socialize_display_posts']="on";
			$settings['socialize_display_pages']="on";
			$settings['socialize_display_feed']="on";
			$settings['socialize_fbWidget']="official";
			$settings['socialize_float']="left";
			update_option("socialize_settings10", $settings);
		}
	} 
}
add_action('admin_menu','add_socialize_options_subpanel');
add_action('wp_head', 'socialize_head' );
add_action('save_post', 'socialize_admin_process');
add_action('admin_menu', 'socialize_add_meta_box');
add_filter('the_content', 'insertSocialize');
register_activation_hook( __FILE__, 'socialize_activate' );
?>